## valgrind 2.2.0-4

=== debian/changelog ===
valgrind (1:2.2.0-4) unstable; urgency=low

  * debian/patches/18_cpp-stabs.dpatch:
    - This patch attempts to fix the parsing of C++ stabs involving ::
      delimiters.
  * debian/patches/19_pthread_attr_getinheritsched.dpatch:
    - Adds a dummy implementation of pthread_attr_getinheritsched.
  * debian/patches/20_pthread_condattr_getsetpshared.dpatch:
    - Adds a dummy implementation of pthread_condattr_getpshared and
      pthread_condattr_setpshared.
  * debian/valgrind.default:
    - Removed. Useless file that nobody uses. (Closes: #279705)
  * debian/debian.supp:
    - Appended python suppression file provided by python's maintainer.
  * debian/control:
    - Suggests valgrind-callgrind instead of valgrind-calltree.
      (Closes: #278621)
  * debian/valgrind.sh:
    - Some cosmetic changes.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 16 Nov 2004 18:44:04 +0000

valgrind (1:2.2.0-3) unstable; urgency=low

  * debian/patches/01_cachegrind.dpatch:
    - Cope with arguments over 510 characters in length when writing the
      cachegrind output file.
  * debian/patches/02_cachegrinderrno.dpatch:
    - This patch makes cachegrind report the reason why it was unable to open
      the output file.
  * debian/patches/15_pthread_mutexattr_gettype.dpatch:
    - Implements pthread_mutexattr_gettype().
  * debian/patches/16_pthread_mutex_lock.dpatch:
    - Warns about a possible deadlock on thread.
  * debian/patches/17_statvfs64.dpatch:
    - Fixed the statfs64 wrapper to look at the right argument for the stat
      buffer and added an fstatfs64 wrapper.
  * debian/valgrind.sh:
    - Adds /usr/X11R6/lib/debug to LD_LIBRARY_PATH. (closes: #274972)

 -- Andrés Roldán <aroldan@debian.org>  Thu, 14 Oct 2004 13:35:43 +0000

valgrind (1:2.2.0-2) unstable; urgency=medium

  * debian/patches/13_sched_setaffinity-getaffinity.dpatch:
    - Adds support for sched_setaffinity() and sched_getaffinity() syscalls.
  * debian/patches/14_ioctls.dpatch:
    - Adds support for the following ioctls:
      + TIOCMBIS.
      + TIOCMBIC.
      + SG_EMULATED_HOST.
      + SG_GET_SG_TABLESIZE.
      + CDROMMULTISESSION.
      + CDROMVOLREAD.
      + CDROMREADAUDIO.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 10 Sep 2004 21:41:45 +0000

valgrind (1:2.2.0-1) unstable; urgency=low

  * New stable release. (closes: #234030)
  * Updated patches according to this new version.
  * Removed some patches already on upstream source.
  * Make debian.supp the default suppression file for Debian.

 -- Andrés Roldán <aroldan@debian.org>  Wed,  1 Sep 2004 23:44:33 +0000

valgrind (1:2.1.2-3) unstable; urgency=low

  * debian/patches/01_libpthread.dpatch:
    - Patch to improving the logic in valgrind's libpthread that handles 
      looking for functions in libc to forward to. If you have assertions
      like "Assertion `open_ptr != ((void *)0)", you may love this patch.
  * debian/patches/01_memcpy.dpatch:
    - Patch to remove warning when passing an uninitialized pointer to memcpy
      when length to copy is zero.
  * debian/patches/02_si_addr-SIGFPE.dpatch:
    - This patch should make valgrind fixup si_addr in the siginfo structure
      when SIGFPE is received so that it points at the right instruction.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 26 Aug 2004 19:16:34 +0000

valgrind (1:2.1.2-2) unstable; urgency=low

  * debian/patches/01_sfence.dpatch: New. Move the decoding of SFENCE out of
    the SSE only part of disInstr.
  * debian/patches/01_ssort.dpatch: New. ssort() failed when signed int return
    type from comparison is too small to handle result of unsigned int
    subtraction.
  * debian/patches/02_sbbl.dpatch: New. gcc sometimes generates "sbbl
    %reg,%reg" to convert the carry flag into 0 or -1 in reg.  This has no
    actual dependency on reg, but memcheck can't see that, and so will help 
    if reg contains garbage.
  * debian/valgrind.1: 
    + s/--logfile-fd/--log-fd/
    + s/--logfile/--log-file/
    + s/--logsocket/--log-socket/

 -- Andrés Roldán <aroldan@debian.org>  Sun,  8 Aug 2004 17:08:08 +0000 

valgrind (1:2.1.2-1) unstable; urgency=low

  * New upstream release. (See changelog) (closes: #248887, #258652)
  * Removed the following patches (already on upstream's package):
    - 01_hp2ps
    - 13_detailed_types
    - 14_db-attach
    - 15_async_io_syscalls.dpatch
    - 16_hdio_get_identity
    - 17_siocgmiiphy-siocgmiireg
  * Update the following patches:
    - 01_configure.dpatch
    - 01_vgPlain_do_syscall.dpatch
    - 11_exitcode.dpatch
    - 01_ipc_stuff.dpatch
    - 10_ansi-vg.dpatch
    - 12_readdir.dpatch
  * debian/patches/01_gettid.dpatch: New. Should closes: #238925

 -- Andrés Roldán <aroldan@debian.org>  Tue, 20 Jul 2004 21:12:16 +0000

valgrind (1:2.1.1-4) unstable; urgency=low

  * debian/valgrind.sh:
    - Quoted VALGRIND_OPTS to avoid conflicts with multiple pre-defined
      options. (closes: #245241)
  * debian/valgrind.1:
    - Documented gen-suppressions option. (closes: #243734)
    - sed -e 's/Valgrind/\\fIvalgrind\\fP/g' valgrind.1
  * debian/patches/15_async_io_syscalls.dpatch:
    - New. Adds support for asyncronous io syscalls.
  * debian/patches/16_hdio_get_identity.dpatch:
    - New. Addes support for HDIO_GET_IDENTITY syscall.
  * debian/patches/17_siocgmiiphy-siocgmiireg.dpatch:
    - New. Adds support SIOCGMIIPHY and SIOCGMIIREG.

 -- Andrés Roldán <aroldan@debian.org>  Sun, 20 Jun 2004 16:58:22 -0500

valgrind (1:2.1.1-3) unstable; urgency=low

  * debian/valgrind.1: Updated.
    - Added --track-fds description.
    - Added lax-ioctls weird hack description.
    - Added --db-attach description.
    - Added --db-command description.
    - Added --tool description.
    - Removed --gdb-attach description.
    - sed -e 's/skins/tools/g'
    - (closes: #241678, #241329)
  * debian/patches/14_db-attach.dpatch: New. Makes --db-attach=yes work again.
    (closes: #241676)
  * debian/patches/01_hp2ps.dpatch: New. Solves problem of massif creating

