=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Andrés Roldán <aroldan@debian.org>
Uploaders: Juan Alvarez <jalvarez@fluidsignal.com>, Luis Bustamante <luferbu@fluidsignal.com>
Build-Depends: debhelper (>> 3.0.0), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb
Standards-Version: 3.6.1.0

Package: valgrind
Architecture: i386
Depends: ${shlibs:Depends}
Suggests: libc6-dbg, kcachegrind, valgrind-callgrind
Recommends: gdb
Description: A memory debugger for x86-linux
 Valgrind is a GPL'd tool to help you find memory-management problems in your
 programs. When a program is run under Valgrind's supervision, all reads and
 writes of memory are checked, and calls to malloc/new/free/delete are
 intercepted. 
 .
 Valgrind can debug more or less any dynamically-linked ELF Linux x86
 executable, without modification, recompilation, or anything, as long as it
 contains only classic x86 code (MMX/SSE/SSE2/3DNow! largely unsupported for
 the moment). There is experimental support for programs using libpthread.
 .
 Valgrind provides a generic infrastructure for supervising the execution of 
 programs called "tools". This is done by providing a way to instrument 
 programs in very precise ways, making it relatively easy to support 
 activities such as dynamic error detection and profiling. Available tools
 include Memcheck (a heavyweight memory checker), Cachegrind (a cache-miss 
 profiler), Addrcheck (a lightweight memory checker) and Helgrind (a 
 data-race detector), among others.
