=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/dpatch/dpatch.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.sub config.guess: %: /usr/share/misc/%
	cp -a $< $@

configure: configure-stamp
configure-stamp: config.sub config.guess
	dh_testdir

	cat xfree-4.supp debian/debian.supp > debian.supp
	
	./configure --prefix=/usr

	touch configure-stamp

build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	#$(MAKE) regtest

	#/usr/bin/docbook-to-man debian/valgrind.sgml > valgrind.1

	touch build-stamp

clean: unpatch
	dh_testdir
	rm -f build-stamp configure-stamp
	dh_clean
	-$(MAKE) distclean
	rm -f config.status config.cache config.log 
	rm -rf debian/patched coregrind/.in_place
	rm -f debian.supp 


install_file=install -p -m644
install_bin=install -p -m755
install_dir=install -p -d -m755
target=$(CURDIR)/debian/valgrind

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/valgrind.
	$(MAKE) install DESTDIR=$(target)

	# Insert the wrapper
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	
	# This stuff comes from us

	$(install_file) debian.supp $(target)/usr/lib/valgrind 
	
	$(install_dir) $(target)/usr/share/doc/valgrind/html
	mv $(target)/usr/share/doc/valgrind/*.html \
           $(target)/usr/share/doc/valgrind/html

	$(install_dir) $(target)/usr/share/lintian/overrides/
	$(install_file) debian/overrides \
	           $(target)/usr/share/lintian/overrides/valgrind

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs -a NEWS upstream
	dh_installexamples
	#dh_strip # Intentional, at upstream's request.
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
