=== debian/changelog ===
valgrind (1:3.6.0~svn11254+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload as 1:3.6.0~svn11254+nmu1 since i386 already had
    1:3.6.0~svn11254+b1.
  * Set urgency to medium.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Oct 2010 17:27:09 +0200

valgrind (1:3.6.0~svn11254-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Man page misbuilt on i386": add docbook-xml to Build-Depends; thanks
    to Stefano Rivera for the analysis (closes: #597180).

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Oct 2010 00:16:51 +0200

valgrind (1:3.6.0~svn11254) unstable; urgency=low

  * New SVN snapshot.
    (Closes: #574810, #592345, #584912, #588997, #588263, #585809, #580210)
  * debian/control: Dropped build dependency on gcc-4.3 on amd64 (Closes: #559520)
  * debian/patches/01_more-vg-n-threads.dpatch:
    - Removed. Already applied by upstream
  * debian/patches/01_more-vg-n-segments.dpatch
    - Increased VG_N_SEGMENTS to 25000 (Closes: #491195)
  * debian/README.Debian:
    - Updated (Closes: #433426)
  * debian/valgrind.bash:
    - Updated to make tools autocomplete well. (Closes: #549218)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 09 Aug 2010 14:35:45 +0000

valgrind (1:3.5.0+3.6.0svn20100609-1) experimental; urgency=low

  * New SVN snapshot.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 09 Jun 2010 01:20:17 +0000

valgrind (1:3.5.0+3.6.0svn20100608-2) experimental; urgency=low

  * debian/rules:
    - Remove config.sub and config.guess symlinks before copying.
  * debian/control:
    - Added ARM as a supported architecture

 -- Andrés Roldán <aroldan@debian.org>  Tue, 08 Jun 2010 20:37:48 +0000

valgrind (1:3.5.0+3.6.0svn20100608-1) experimental; urgency=low

  * New experimental release based on SVN trunk (2010/06/08)
  * debian/control:
    - Build-Depend on docbook, docbook-xsl and xsltproc to build documentation.
  * debian/rules
    - Create documentation
  * debian/manpages:
    - Added additional manpages

 -- Andrés Roldán <aroldan@debian.org>  Tue, 08 Jun 2010 17:25:27 +0000

valgrind (1:3.5.0-3) unstable; urgency=low

  * Rebuilt againts libc6 2.10.1.
  * debian/control:
    - Now libc6-dbg is a dependency (valgrind won't work without it now)
     (Closes: #556542, #556165, #553016)
    - Valkyrie added to suggested packages.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 17 Nov 2009 15:12:26 +0000

valgrind (1:3.5.0-2) unstable; urgency=low

  * debian/control:
    - Added libc6-dev-i386 to build-dependencies on amd64. 
      May reopen #507752 but closes: #548067.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 24 Sep 2009 20:18:57 +0000

valgrind (1:3.5.0-1) unstable; urgency=low

  * New upstream version. (Closes: #545700)
  * debian/patches/02_version: 
    - Updated to fit this new version (Thanks to Andreas Beckmann)
  * debian/patches/01_pcm-ioctl.patch:
    - Updated
  * debian/patches/01_more-vg-n-threads.dpatch:
    - Added to increas VG_N_THREADS to 500. (Closes: #514133)
  * debian/docs:
    - ACKNOWLEDGEMENTS file is gone
  * debian/watch:
    - Added (Again, thanks to Andreas Beckmann)
  * debian/control:
    - Removed Uploaders field (Closes: #519380, #540834) 
  * debian/valgrind.bash:
    - Provides a first bash completion script for valgrind. (Closes: #539137)
      Thanks to Jerome Reybert
  * debian/debian.supp: 
    - Updated to fit Debian's libc6 2.10.x

 -- Andrés Roldán <aroldan@debian.org>  Wed, 09 Sep 2009 16:26:29 +0000

valgrind (1:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/debian.supp:
    - Updated suppressions to fit libc6 2.9.x. (Closes: #516337, #516100)
  * debian/copyright:
    - Change the URL of valgrind to www.valgrind.org. (Closes: 	#518287)
  * debian/patches/01_valgrind.pc.dpatch:
    - Removed. Already fixed by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 05 Mar 2009 15:19:16 +0000

valgrind (1:3.4.0-1) unstable; urgency=low

  * New upstream release. (Closes: #512816)
  * debian/patches/01_valgrindrc.dpatch:
    - Removed. Already applied by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 29 Jan 2009 21:13:26 +0000

valgrind (1:3.3.1-3) unstable; urgency=low

  * debian/patches/01_valgrindrc.dpatch:
    - New patch to avoid reading and executing .valgrindrc files unless done
      by the onwer of the file. This fixes CVE-2008-4865 (Closes: #507312)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 03 Dec 2008 16:42:11 +0000

valgrind (1:3.3.1-2) unstable; urgency=low

  * debian/rules:
    - Forgot to copy debian-libc6-dbg.supp to /usr/lib/valgrind. 
      (Closes: #486021)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 13 Jun 2008 02:31:40 +0000

valgrind (1:3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Re-debianized from the scratch.
  * debian/valgrind.sh:
    - Avoid to add the same suppression on programs that re-execute
      themselves. (Closes: #479165)
  * debian/control:
    - Made valgrind buildable for etch. (Closes: #472335)
  * Bumped standard version to 3.7.3 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 11 Jun 2008 23:10:08 +0000

valgrind (1:3.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #455855)
    - Now valgrind will compile natively on glibc > 2.6
      (Closes: #453195, #441749)
    - Suppressions are now updated for the latest glibc on sid.
      (Closes: #356777)
  * debian/patches/01_amd64-nops.dpatch:
    - Removed, already applied by upstream.
  * debian/patches/01_suppression-strip.dpatch:
    - Removed. Don't be jealous of your brother, Andy :)
  * debian/patches/01_valgrind.pc.dpatch:
    - Corrects pkg-config information. (Closes: #452307)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 12 Dec 2007 20:39:58 +0000

valgrind (1:3.2.3-3) unstable; urgency=low

  * debian/FAQ.txt:
    - Provided there to solve FTBFS if valgrind is built twice in a row
      (Closes: #424129)
  * debian/patches/01_amd64-nops.dpatch:
    - Patch to handle new way of writing NOPs by binutils. (Closes: #437503)

